## org.apache.catalina.cluster.tcp
Class ClusterData

    java.lang.Object
      org.apache.catalina.cluster.tcp.ClusterData

public class ClusterData
extends java.lang.Object

Since:
  5.5.10
Version:
  $Id: ClusterData.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Peter Rossbach

Constructor Summary
`ClusterData()`
`ClusterData(java.lang.String type, java.lang.String uniqueId, byte[] message, long timestamp)`

Method Summary
`int` `getCompress()`
`byte[]` `getMessage()`
`int` `getResend()`
`long` `getTimestamp()`
`java.lang.String` `getType()`
`java.lang.String` `getUniqueId()`
`void` `setCompress(int compress)`
`void` `setMessage(byte[] message)`
`void` `setResend(int resend)`
`void` `setTimestamp(long timestamp)`
`void` `setType(java.lang.String type)`
`void` `setUniqueId(java.lang.String uniqueId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterData

    public ClusterData()

### ClusterData

    public ClusterData(java.lang.String type,
                       java.lang.String uniqueId,
                       byte[] message,
                       long timestamp)

Parameters:
  `type` - message type (class)
  `uniqueId` - unique message id
  `message` - message data
  `timestamp` - message creation date

Method Detail

### getType

    public java.lang.String getType()

  Returns:
    Returns the type.

### setType

    public void setType(java.lang.String type)

  Parameters:
    `type` - The type to set.

### getMessage

    public byte[] getMessage()

  Returns:
    Returns the message.

### setMessage

    public void setMessage(byte[] message)

  Parameters:
    `message` - The message to set.

### getTimestamp

    public long getTimestamp()

  Returns:
    Returns the timestamp.

### setTimestamp

    public void setTimestamp(long timestamp)

  Parameters:
    `timestamp` - The timestamp to set.

### getUniqueId

    public java.lang.String getUniqueId()

  Returns:
    Returns the uniqueId.

### setUniqueId

    public void setUniqueId(java.lang.String uniqueId)

  Parameters:
    `uniqueId` - The uniqueId to set.

### getCompress

    public int getCompress()

  Returns:
    Returns the compress.

### setCompress

    public void setCompress(int compress)

  Parameters:
    `compress` - The compress to set.

### getResend

    public int getResend()

  Returns:
    Returns the resend.

### setResend

    public void setResend(int resend)

  Parameters:
    `resend` - The resend to set.

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.